Subject: update
From: "Michael B" <[email-masked]>
To: "Mangers LLPS" <[email-masked]>
Date: Fri, 5 Dec 2014 11:35:05 -0500

On Nov 24, 2014, Inbound had $2,041.82 in credit card sales with $12,740.50 in invoices paid.  There were 5 reps working 37.3 hours.  The sales/hour is $54.74.

On Nov 25, 2014, Inbound had $2,108.75 in credit card sales with $2,840.94 in invoices paid.  There were 5 reps working 37.4 hours.  The sales/hour is $56.38.

On Nov 26, 2014, Inbound had $3,259.75 in credit card sales with $1,442.75 in invoices paid.  There were 5 reps working 29.8 hours.  The sales/hour is $109.39.

On Nov 27, 2014, Closed for Thanksgiving holiday

On Nov 28, 2014, Inbound had $453.75 in credit card sales with $698.75 in invoices paid.  There were 2 reps working 14.9 hours.  The sales/hour is $30.45.

Inbound had $250 in CRS credit card sales for the week.

I met with each of the reps individually and spoke to them about the way they are taking the Corp calls.  I stressed to each of them the importance of both explaining and selling the service.  Will keep an eye on the call volumes as we are getting quite a bit of overflow calls.  We may have to consider bringing someone over (maybe Ron) to help with this.  We did find that Stephanie was making outbound calls trying to collect on orders she invoiced.  I told her we needed her available to take inbound calls.  She had given me her 2 week notice earlier because of school schedule and she is probably hoping to get her commissions before she leaves.  Both Stephanie and Ayisha have been struggling the most with the Corp calls.  I will continue to work with them on this and monitor the others as well.  

Spoke with the Georgia box yesterday.  They are no longer willing to forward Corp mail.  They got a little too much press coverage and both the landlord of their building and UPS have told them they do not want that kind of publicity.  Anyway, he has agreed to continue to forward mail for the next 30 days.  I have Amber getting us a new box and everything switched over.  I will get everyone an new address once we have that in place.

Thank you,
Michael B
LLPS